# AIEngineList Class Reference
[Classes that create a list of items.]

Create a list of engines based on a vehicle type. More...

`#include <ai_enginelist.hpp>`

Inheritance diagram for AIEngineList:

## Public Member Functions

| AIEngineList (AIVehicle::VehicleType vehicle_type)

## Static Public Member Functions

static const char * | GetClassName ()

## Detailed Description

Create a list of engines based on a vehicle type.

Definition at line 15 of file ai_enginelist.hpp.

## Constructor & Destructor Documentation

AIEngineList::AIEngineList | ( | AIVehicle::VehicleType | vehicle_type | ) |

Parameters:

  | vehicle_type | The type of vehicle to make a list of engines for.

Definition at line 10 of file ai_enginelist.cpp.

References AIAbstractList::AddItem(), and HasBit().

The documentation for this class was generated from the following files:

- src/ai/api/ai_enginelist.hpp
- src/ai/api/ai_enginelist.cpp